package Reldb.RelUserCode;

import org.reldb.rel.v0.types.*;
import org.reldb.rel.v0.types.builtin.*;
import org.reldb.rel.v0.types.userdefined.*;
import org.reldb.rel.v0.values.*;
import org.reldb.rel.v0.vm.Context;

public class op_RANDOM_ {
	private static final ValueRational do_RANDOM(Context context) {
		       
		// Returns a RATIONAL value with a positive sign, greater than or equal
		// to 0.0 and less than 1.0.
			return ValueRational.select(context.getGenerator(), Math.random());
	}

	public static final void execute(Context context) {
		context.push(do_RANDOM(context));
	}
}